Bug 826316 - ibus input method does not work inside telepathy-kde-text-ui IM window
ibus input method does not work inside telepathy-kde-text-ui IM window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ktp-text-ui (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 21:58 EDT by Johannes Goller
Modified: 2013-07-10 05:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 05:30:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Goller 2012-05-29 21:58:46 EDT
Description of problem:
Although I have configured ibus with two input methods (English and Japanese-mozc) and switching between them and using them works in other applications, I cannot switch to Japanese-mozc when inside a telepathy-text-ui chat window. Nor can I type Japanese when switching to mozc before entering the chat window.

Version-Release number of selected component (if applicable):
ktp-text-ui.0.3.1-1.fc17.x86_64

This is in KDE 4.8.3 (the standard Fedora 17 / KDE, fully updated).

How reproducible:
Always.

Steps to Reproduce:
There must be many ways to reproduce it, but here is how it works for me. Note that this is based on the fact that using the Empathy IM client causes telepathy-text-ui chat windows to be opened when a message is received. This is probably in itself a bug (as reported here: https://bugs.launchpad.net/ubuntu/+source/ktp-text-ui/+bug/951104).

1. Configure ibus with English and Japanese-mozc. Confirm that switching input methods works, e.g. in Konsole.
2. Install Empathy and configure an account, e.g. a GTalk one
3. Ask someone to send you a message
4. Wait for the message alert to pop up from the system tray
5. Click on it to accept the message
6. A Telepathy-text-ui chat window will open. Try switching input methods and typing some Japanese text. For example, try typing (n-i-h-o-n-<enter>). This should cause にほん to be entered in the chat window.

Actual results:
The Japanese input method does not work. Only English does.

Expected results:
After switching to Japanese input, typing Japanese should be possible. For example, the key sequence above should give "にほん", not "nihon".
Comment 1 Fedora End Of Life 2013-07-03 19:08:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Johannes Goller 2013-07-10 04:16:25 EDT
I just confirmed that in Fedora 19, the problem described above does not occur, i.e. telepathy is opened, but using Japanese inside telepathy works. (I never tested with Fedora 18.)

So, while it was never fixed in Fedora 17, in terms of Fedora's overall development it can be considered a solved problem.
Comment 3 Rex Dieter 2013-07-10 05:30:16 EDT
Thank you for re-testing

Note You need to log in before you can comment on or make changes to this bug.